	section	begin,code
evenpc	macro
	cnop	0,2
	endm
openlib	equ	$fffffdd8
closlib	equ	$fffffe62
sysbase	equ	$4
output	equ	$ffffffc4
write	equ	$ffffffd0
delay	equ	$ffffff3a
secd	equ	50	
	jmp	start
	section	datii,data
	dc.b	'Sorry couldn''t keep it under one Block so I''ll '
	dc.b	'just give credits here: Written by Marc Hidalgo '
	dc.b	'in the Netherlands. This program is designed to help '
	dc.b	'out us PAL users with Brain Damaged NTSC developers '
	dc.b	'not letting their software be loaded on our machines. '
	dc.b	'also certain games and programs lock us into ntsc mode '
	dc.b	'and this program will clear the lock after using '
	dc.b	'these type programs.'
	evenpc
dosbase	dc.l	0
grafb	dc.l	0
cmdpnt	dc.l	0
cmdlen	dc.l	0
safsp	dc.l	0
conout	dc.l	0
	evenpc
graf	dc.b	'graphics.library'
	dc.l	0
	evenpc
dosname	dc.b	'dos.library'
	dc.b	0
	evenpc
switch	dc.w	0
	evenpc
p2n	dc.b	'Toggle PAL to NTSC',10,0
	evenpc
p2ne	equ	*-p2n
n2p	dc.b	'Toggle NTSC to PAL',10,10,0
	evenpc
n2pe	equ	*-n2p
nsett	dc.b	'Current '
nsett1	dc.b	'Setting is NTSC',10,10,0
	evenpc
nsette	equ	*-nsett
nsett1e	equ	*-nsett1
psett	dc.b	'Current '
psett1	dc.b	'Setting is PAL',10,10,0
	evenpc
psette	equ	*-psett
psett1e	equ	*-psett1
	evenpc
	section	real,code
start:	
	move.l	d0,cmdlen
	move.l	a0,cmdpnt
	move.l	sp,safsp
	cmpi.b	#'?',(a0)
	beq	showset
	cmpi.b	#'p',(a0)
	beq	to_pal
	cmpi.b	#'P',(a0)
	beq	to_pal
	cmpi.b	#'n',(a0)
	beq	to_ntsc
	cmpi.b	#'N',(a0)
	beq	to_ntsc
	bra	toggle
cont:	move.l	sysbase,a6
	moveq	#0,d0
	lea.l	dosname,a1
	jsr	openlib(a6)
	move.l	d0,dosbase
	move.l	dosbase,a5
	jsr	output(a5)
	move.l	d0,conout
	moveq.l	#33,d0
	lea.l	graf,a1
	jsr	openlib(a6)
	move.l	d0,grafb
	move.l	grafb,a1
	move.w	206(a1),d0
	move.w	switch,d3
	tst.w	d3
	beq	rptd0
	cmpi.b	#2,d3
	bgt.s	cont1
	beq.s	snt
	bra.s	spal
cont1:	tst.w	d0
	beq.s	spal
	move.w	#4,switch
snt:	clr.w	d0
	move.w	d0,206(a1)
	move.w	#200,216(a1)
	bra.s	finis
spal:	ori.w	#4,d0
	move.w	d0,206(a1)
	move.w	#256,216(a1)
finis:	move.w	switch,d2
	cmpi.b	#3,d2
	beq.s	n2pr
	blt.s	wset
	move.l	#p2n,d2
	move.l	#p2ne,d3
	bra.s	disp
wset:	cmpi.b	#1,d2
	beq.s	wset1
	move.l	#nsett1,d2
	move.l	#nsett1e,d3
	bra.s	disp
wset1:	move.l	#psett1,d2
	move.l	#psett1e,d3
	bra.s	disp
n2pr:	move.l	#n2p,d2
	move.l	#n2pe,d3
disp:	move.l	dosbase,a5
	move.l	conout,d1
	jsr	write(a5)
	move.l	sysbase,a6
	move.l	grafb,a1
	jsr	closlib(a6)
	move.l	dosbase,a1
	jsr	closlib(a6)
	move.l	safsp,sp
	moveq	#0,d0
	rts
showset:
	move.w	#0,switch
	bra	cont
to_pal:
	move.w	#1,switch
	bra	cont
to_ntsc:
	move.w	#2,switch
	bra	cont
toggle:
	move.w	#3,switch
	bra	cont
rptd0:
	tst.w	d0
	bne.s	rptd0a
	move.l	#nsett,d2
	move.l	#nsette,d3
	bra	disp
rptd0a:	move.l	#psett,d2
	move.l	#psette,d3
	bra	disp
	section	evenitout,bss
	end
